ru.bitel.oss.systems.order.product.common.event

## Class ProductOfferingListEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.oss.systems.order.product.common.event.ProductOfferingListEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ProductOfferingListEvent
      extends LocalEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProductOfferingListEvent(int moduleId, int contractId, int accountId, int userId, java.util.Date dateTime, Contract contract, java.util.Set<java.lang.Integer> tariffIds, java.util.List<Product> currentContractOptionList, boolean onlyAvailable, java.util.List<ProductOffering> productOfferingList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccountId()`
    `java.util.List<Product>` | `getActiveProductList()`
    `Contract` | `getContract()`
    `java.util.Date` | `getDateTime()`
    `java.util.List<ProductOffering>` | `getProductOfferingList()`
    `int` | `getSubjectModuleId()`
    `java.util.Set<java.lang.Integer>` | `getTariffIds()`
    `boolean` | `isAvailableOnly()`
    `void` | `setProductOfferingList(java.util.List<ProductOffering> productOfferingList)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProductOfferingListEvent

          public ProductOfferingListEvent(int moduleId,
                                          int contractId,
                                          int accountId,
                                          int userId,
                                          java.util.Date dateTime,
                                          Contract contract,
                                          java.util.Set<java.lang.Integer> tariffIds,
                                          java.util.List<Product> currentContractOptionList,
                                          boolean onlyAvailable,
                                          java.util.List<ProductOffering> productOfferingList)

  - ### Method Detail

    - #### getSubjectModuleId

          public int getSubjectModuleId()

    - #### getDateTime

          public java.util.Date getDateTime()

    - #### getContract

          public Contract getContract()

    - #### getAccountId

          public int getAccountId()

    - #### getTariffIds

          public java.util.Set<java.lang.Integer> getTariffIds()

    - #### getActiveProductList

          public java.util.List<Product> getActiveProductList()

    - #### isAvailableOnly

          public boolean isAvailableOnly()

    - #### getProductOfferingList

          public java.util.List<ProductOffering> getProductOfferingList()

    - #### setProductOfferingList

          public void setProductOfferingList(java.util.List<ProductOffering> productOfferingList)